Package csb :: Package statistics :: Package samplers :: Package mc :: Module neqsteppropagator :: Class Step

[frames] | no frames]

# Class Step

source code

    object --+
             |
            Step

Defines a step in an NCMC-like stepwise protocol.

Instance Methods

__init__(self, perturbation, propagation) x.__init__(...) initializes x; see help(type(x)) for signature | source code

set_perturbation_first(self) Perform first perturbation, then propagation | source code

set_propagation_first(self) Perform first propagation, then perturbation | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
| perturbation
| propagation
Inherited from `object`: `__class__`

Method Details

### __init__(self, perturbation, propagation)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `perturbation` (AbstractPerturbation) - The perturbation of the system
  - `propagation` (AbstractPropagation) - The propagation of the perturbed system
Overrides: object.__init__
  (inherited documentation)

Property Details

### perturbation

Get Method:
  unreachable.perturbation(self)
Set Method:
  unreachable.perturbation(self, value)

### propagation

Get Method:
  unreachable.propagation(self)
Set Method:
  unreachable.propagation(self, value)